org.richfaces.el

## Class BaseReadOnlyValueExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.richfaces.el.BaseReadOnlyValueExpression

- All Implemented Interfaces:
    Serializable

      public abstract class BaseReadOnlyValueExpression
      extends javax.el.ValueExpression

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseReadOnlyValueExpression(Class<?> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Class<?>` | `getExpectedType()`
    `String` | `getExpressionString()`
    `protected javax.faces.context.FacesContext` | `getFacesContext(javax.el.ELContext elContext)`
    `Class<?>` | `getType(javax.el.ELContext context)`
    `abstract Object` | `getValue(javax.el.ELContext context)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(javax.el.ELContext context)`
    `void` | `setValue(javax.el.ELContext context, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseReadOnlyValueExpression

          public BaseReadOnlyValueExpression(Class<?> type)

  - ### Method Detail

    - #### getExpectedType

          public Class<?> getExpectedType()

      Specified by:
        `getExpectedType` in class `javax.el.ValueExpression`

    - #### getType

          public Class<?> getType(javax.el.ELContext context)

      Specified by:
        `getType` in class `javax.el.ValueExpression`

    - #### getValue

          public abstract Object getValue(javax.el.ELContext context)

      Specified by:
        `getValue` in class `javax.el.ValueExpression`

    - #### isReadOnly

          public boolean isReadOnly(javax.el.ELContext context)

      Specified by:
        `isReadOnly` in class `javax.el.ValueExpression`

    - #### setValue

          public void setValue(javax.el.ELContext context,
                      Object value)

      Specified by:
        `setValue` in class `javax.el.ValueExpression`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `javax.el.Expression`

    - #### getExpressionString

          public String getExpressionString()

      Specified by:
        `getExpressionString` in class `javax.el.Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `javax.el.Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `javax.el.Expression`

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext(javax.el.ELContext elContext)

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.